PHPEasyData annuaire.php 文件SQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1115397 漏洞类型 SQL注入
发布时间 2008-06-11 更新时间 2008-07-03
CVE编号 CVE-2008-2995 CNNVD-ID CNNVD-200807-050
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/31904
https://www.securityfocus.com/bid/80997
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200807-050
|漏洞详情
PHPEasyData是一款管理web动态数据和目录的php应用程序。PHPEasyData1.5.4中存在多个SQL注入漏洞,远程攻击者通过(1)对annuaire.php的annuaire参数或(2)在admin/login.php中的用户字段,以执行任意SQL命令。
|漏洞EXP
source: http://www.securityfocus.com/bid/29659/info

PHPEasyData is prone to multiple SQL-injection and cross-site scripting vulnerabilities because it fails to properly sanitize user-supplied input.

An attacker may leverage the cross-site scripting issues to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks.

Attackers may exploit the SQL-injection issues to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

PHPEasyData 1.5.4 is vulnerable; other versions may also be affected.

http://[website]/annuaire.php?annuaire=29%20union%20select%20user_pass,user_login,user_fname,user_access%20from%20an_users
|受影响的产品
PHPEasyData PHPEasyData 1.5.4
|参考资料

来源:BID
名称:29659
链接:http://www.securityfocus.com/bid/29659
来源:BUGTRAQ
名称:20080610PHPEasyData1.5.4MultipleVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/493273/100/0/threaded
来源:SREASON
名称:3969
链接:http://securityreason.com/securityalert/3969